Skip to navigation

Update Role

Updates an existing permissions role’s name and action set.

The update is a full replacement of the role definition.

🚧 Built-in system roles (such as Admin and Member) cannot be updated. Attempting to modify a system role returns an error.

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

idstringRequiredformat: "uuid"
Role ID

Headers

X-Polytomic-VersionstringRequired

Request

This endpoint expects an object.
namestringRequired
organization_idstring or nullOptionalformat: "uuid"

Ignored for user and organization-scoped API keys, which always act in their own organization

Response

OK
dataobjectOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error